Package ru.bitel.bgbilling.kernel.script.common.bean

# Class EventType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.script.common.bean.EventType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class EventType extends IdTitle
Тип события (например, приход платежа).

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object that)`
  `String`
  `getEventId()`
  `String`
  `getModuleId()`
  `void`
  `setEventId(String eventId)`
  `void`
  `setModuleId(String moduleId)`
  `EventType`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `String`
  `toKey()`
  Получение так называемого "ключа" события - его уникального идентификатора.
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### EventType

    public EventType()

- ## Method Details

  - ### getModuleId

    public String getModuleId()

  - ### getEventId

    public String getEventId()

  - ### setTitle

    public EventType setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setModuleId

    public void setModuleId(String moduleId)

  - ### setEventId

    public void setEventId(String eventId)

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `Id`

  - ### toKey

    public String toKey()
    Получение так называемого "ключа" события - его уникального идентификатора.
    Returns:
      ключ события

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`